from BaseDataMaintenance.model.mysql.BaseModel import BaseModel


class attach_document_richtext(BaseModel):

    def __init__(self,_dict):
        self.setValue("id",_dict.get("id"),True)
        self.setValue("docid",_dict.get("docid"),True)
        self.setValue("status",_dict.get("status",10),True)
        self.setValue("message",_dict.get("message",""),True)
        self.setValue("create_time",_dict.get("create_time",""),True)
        self.setValue("insert_time",_dict.get("insert_time",""),True)
        self.setValue("update_time",_dict.get("update_time",""),True)
        self.setValue("type",_dict.get("type",0),True)
        self.setValue("deal_count",_dict.get("deal_count",0),True)

        self.table_name = "attach_document_richtext"

    def getPrimary_keys(self):
        return ["id"]

